# Bot
Date: 2018-01-28

main

## Class Bot

- java.lang.Object
- - org.jibble.pircbot.PircBot
  - - main.Bot

All Implemented Interfaces:
  org.jibble.pircbot.ReplyConstants

    public class Bot
    extends org.jibble.pircbot.PircBot

### Field Summary

Fields
`private ISPDAO` `idao`
`static long` `TIME_BETWEEN_MESSAGES`
`static long` `TIME_BETWEEN_RELOADS`

### Fields inherited from class org.jibble.pircbot.PircBot

`VERSION`

### Fields inherited from interface org.jibble.pircbot.ReplyConstants

`ERR_ALREADYREGISTRED, ERR_BADCHANMASK, ERR_BADCHANNELKEY, ERR_BANNEDFROMCHAN, ERR_CANNOTSENDTOCHAN, ERR_CANTKILLSERVER, ERR_CHANNELISFULL, ERR_CHANOPRIVSNEEDED, ERR_ERRONEUSNICKNAME, ERR_FILEERROR, ERR_INVITEONLYCHAN, ERR_KEYSET, ERR_NEEDMOREPARAMS, ERR_NICKCOLLISION, ERR_NICKNAMEINUSE, ERR_NOADMININFO, ERR_NOLOGIN, ERR_NOMOTD, ERR_NONICKNAMEGIVEN, ERR_NOOPERHOST, ERR_NOORIGIN, ERR_NOPERMFORHOST, ERR_NOPRIVILEGES, ERR_NORECIPIENT, ERR_NOSERVICEHOST, ERR_NOSUCHCHANNEL, ERR_NOSUCHNICK, ERR_NOSUCHSERVER, ERR_NOTEXTTOSEND, ERR_NOTONCHANNEL, ERR_NOTOPLEVEL, ERR_NOTREGISTERED, ERR_PASSWDMISMATCH, ERR_SUMMONDISABLED, ERR_TOOMANYCHANNELS, ERR_TOOMANYTARGETS, ERR_UMODEUNKNOWNFLAG, ERR_UNKNOWNCOMMAND, ERR_UNKNOWNMODE, ERR_USERNOTINCHANNEL, ERR_USERONCHANNEL, ERR_USERSDISABLED, ERR_USERSDONTMATCH, ERR_WASNOSUCHNICK, ERR_WILDTOPLEVEL, ERR_YOUREBANNEDCREEP, ERR_YOUWILLBEBANNED, RPL_ADMINEMAIL, RPL_ADMINLOC1, RPL_ADMINLOC2, RPL_ADMINME, RPL_AWAY, RPL_BANLIST, RPL_CHANNELMODEIS, RPL_CLOSEEND, RPL_CLOSING, RPL_ENDOFBANLIST, RPL_ENDOFINFO, RPL_ENDOFLINKS, RPL_ENDOFMOTD, RPL_ENDOFNAMES, RPL_ENDOFSERVICES, RPL_ENDOFSTATS, RPL_ENDOFUSERS, RPL_ENDOFWHO, RPL_ENDOFWHOIS, RPL_ENDOFWHOWAS, RPL_INFO, RPL_INFOSTART, RPL_INVITING, RPL_ISON, RPL_KILLDONE, RPL_LINKS, RPL_LIST, RPL_LISTEND, RPL_LISTSTART, RPL_LUSERCHANNELS, RPL_LUSERCLIENT, RPL_LUSERME, RPL_LUSEROP, RPL_LUSERUNKNOWN, RPL_MOTD, RPL_MOTDSTART, RPL_MYPORTIS, RPL_NAMREPLY, RPL_NONE, RPL_NOTOPIC, RPL_NOUSERS, RPL_NOWAWAY, RPL_REHASHING, RPL_SERVICE, RPL_SERVICEINFO, RPL_SERVLIST, RPL_SERVLISTEND, RPL_STATSCLINE, RPL_STATSCOMMANDS, RPL_STATSHLINE, RPL_STATSILINE, RPL_STATSKLINE, RPL_STATSLINKINFO, RPL_STATSLLINE, RPL_STATSNLINE, RPL_STATSOLINE, RPL_STATSQLINE, RPL_STATSUPTIME, RPL_STATSYLINE, RPL_SUMMONING, RPL_TIME, RPL_TOPIC, RPL_TOPICINFO, RPL_TRACECLASS, RPL_TRACECONNECTING, RPL_TRACEHANDSHAKE, RPL_TRACELINK, RPL_TRACELOG, RPL_TRACENEWTYPE, RPL_TRACEOPERATOR, RPL_TRACESERVER, RPL_TRACEUNKNOWN, RPL_TRACEUSER, RPL_UMODEIS, RPL_UNAWAY, RPL_USERHOST, RPL_USERS, RPL_USERSSTART, RPL_VERSION, RPL_WHOISCHANNELS, RPL_WHOISCHANOP, RPL_WHOISIDLE, RPL_WHOISOPERATOR, RPL_WHOISSERVER, RPL_WHOISUSER, RPL_WHOREPLY, RPL_WHOWASUSER, RPL_YOUREOPER`

### Constructor Summary

Constructors
Constructor and Description
`Bot()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `contact(java.lang.String channel, java.lang.String sender, java.lang.String login, java.lang.String hostname, java.lang.String message)`
`void` `info(java.lang.String channel, java.lang.String sender, java.lang.String login, java.lang.String hostname, java.lang.String message)`
`void` `list(java.lang.String channel, java.lang.String sender, java.lang.String login, java.lang.String hostname, java.lang.String message)`
`void` `onMessage(java.lang.String channel, java.lang.String sender, java.lang.String login, java.lang.String hostname, java.lang.String message)`
`private boolean` `reload()`
`void` `sendMessage(java.lang.String channel, java.util.List<java.lang.String> lines)`

### Methods inherited from class org.jibble.pircbot.PircBot

`ban, changeNick, connect, connect, connect, dccAcceptChatRequest, dccReceiveFile, dccSendChatRequest, dccSendFile, deOp, deVoice, disconnect, dispose, equals, getChannels, getDccInetAddress, getDccPorts, getEncoding, getFinger, getInetAddress, getLogin, getMaxLineLength, getMessageDelay, getName, getNick, getOutgoingQueueSize, getPassword, getPort, getServer, getUsers, getVersion, handleLine, hashCode, identify, ipToLong, isConnected, joinChannel, joinChannel, kick, kick, listChannels, listChannels, log, longToIp, onAction, onChannelInfo, onConnect, onDccChatRequest, onDccSendRequest, onDeop, onDeVoice, onDisconnect, onFileTransferFinished, onFinger, onIncomingChatRequest, onIncomingFileTransfer, onInvite, onJoin, onKick, onMode, onNickChange, onNotice, onOp, onPart, onPing, onPrivateMessage, onQuit, onRemoveChannelBan, onRemoveChannelKey, onRemoveChannelLimit, onRemoveInviteOnly, onRemoveModerated, onRemoveNoExternalMessages, onRemovePrivate, onRemoveSecret, onRemoveTopicProtection, onServerPing, onServerResponse, onSetChannelBan, onSetChannelKey, onSetChannelLimit, onSetInviteOnly, onSetModerated, onSetNoExternalMessages, onSetPrivate, onSetSecret, onSetTopicProtection, onTime, onTopic, onTopic, onUnknown, onUserList, onUserMode, onVersion, onVoice, op, partChannel, partChannel, quitServer, quitServer, reconnect, sendAction, sendCTCPCommand, sendInvite, sendMessage, sendNotice, sendRawLine, sendRawLineViaQueue, setAutoNickChange, setDccInetAddress, setDccPorts, setEncoding, setFinger, setLogin, setMessageDelay, setMode, setName, setTopic, setVerbose, setVersion, startIdentServer, toString, unBan, voice`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### TIME_BETWEEN_RELOADS

    public static final long TIME_BETWEEN_RELOADS

See Also:
  Constant Field Values

#### TIME_BETWEEN_MESSAGES

    public static final long TIME_BETWEEN_MESSAGES

See Also:
  Constant Field Values

#### idao

    private ISPDAO idao

### Constructor Detail

#### Bot

    public Bot()

### Method Detail

#### onMessage

    public void onMessage(java.lang.String channel,
                          java.lang.String sender,
                          java.lang.String login,
                          java.lang.String hostname,
                          java.lang.String message)

Overrides:
  `onMessage` in class `org.jibble.pircbot.PircBot`

#### reload

    private boolean reload()

#### sendMessage

    public void sendMessage(java.lang.String channel,
                            java.util.List<java.lang.String> lines)

#### list

    public void list(java.lang.String channel,
                     java.lang.String sender,
                     java.lang.String login,
                     java.lang.String hostname,
                     java.lang.String message)

#### contact

    public void contact(java.lang.String channel,
                        java.lang.String sender,
                        java.lang.String login,
                        java.lang.String hostname,
                        java.lang.String message)

#### info

    public void info(java.lang.String channel,
                     java.lang.String sender,
                     java.lang.String login,
                     java.lang.String hostname,
                     java.lang.String message)